Bug 208980 - Gnome bug-buddy doesn't work with evolution
Gnome bug-buddy doesn't work with evolution
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
: 208158 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-10-02 16:24 EDT by Saikat Guha
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-06 14:57:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Saikat Guha 2006-10-02 16:24:15 EDT
Description of problem:
Starting bug-buddy in gnome (either because evolution crashed, or through Help >
Submit Bug Report) brings up the bug buddy set to report a bug for "Calendar
application". Filling out the required details and hitting send results in:

   Unable to create the bug report: Application does not track its bugs in the 
   GNOME Bugzilla.

The bug report is lost after the error. Evolution does indeed track it's bugs in
GNOME bugzilla. Bug buddy was changed in Gnome 2.16 to look at the .desktop file
to figure out which component to file the bug for. Fedora's naming of evolution
as "Calendar application" likely doesn't match GNOME's naming of "Evolution"

See http://www.mail-archive.com/devel-announce-list@gnome.org/msg00108.html
for what needs to be changed to the .desktop file for various applications so
gnome bug buddy can file the bug correctly. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Evolution > Help > Submit a Bug
2.Fill the form
3.Hit Send.
Actual results:
Error. Bug report not filed. Report is lost because bug buddy cannot determine
which component to file the bug for. GNOME calls the component evolution which
in FC6, bug buddy picks up the name Calendar application.

Expected results:
The bug report is filed under evolution in gnome bugzilla.

Additional info:
Comment 1 Christopher Beland 2006-12-21 11:36:19 EST
I was just bitten by this bug in the current FC6 release.  It was quite
frustrating to have my carefully composed bug report eaten by the system.
Comment 2 Matthew Barnes 2006-12-21 11:50:30 EST
*** Bug 208158 has been marked as a duplicate of this bug. ***
Comment 3 Penelope Fudd 2007-01-09 22:39:49 EST
Same problem here.  And boy, is Evolution crashing a lot.
Comment 4 Saikat Guha 2007-01-09 23:14:59 EST
The upstream evolution bug that is causing the crash 10 times a day is 

Bug-buddy plumbing to get the crash reports to GNOME bugzilla is still broken
with   evolution-2.9.5-1.fc7

I do see the X-GNOME-Bugzilla-* tags in the desktop file; not sure what's amiss. 

Comment 5 Matthew Miller 2007-04-06 14:22:57 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 6 Christopher Beland 2007-04-06 14:45:32 EDT
This bug has also been previously reported as being present in released versions
of Fedora 6.
Comment 7 Matthew Miller 2007-04-06 14:50:05 EDT
Thanks. Moving to FC6.
Comment 8 Saikat Guha 2007-04-06 14:53:20 EDT
Seems to we working now in the latest Rawhide.

I was able to submit a bug from Evolution > Help > submit Bug 
(which in the past would croak saying the app wasn't tracked in gnome bugzilla)

Seems like the necessary plumbing is in place now.
Comment 9 Matthew Miller 2007-04-06 14:57:33 EDT
thank again!

Note You need to log in before you can comment on or make changes to this bug.